from google.appengine.ext import ndb

from lib.server.mc.datasource import DatasourceService
from server.datastore_storage import DatastoreStorage


class DemoDatasource(DatasourceService):
  def get_storage(self):
    return DatastoreStorage(ndb.Key('Datasource', self.name[5:]))


mc_channel_SERVICES = [
  ('demo/.*', DemoDatasource),
]


# Configure Appstats.
appstats_CALC_RPC_COSTS = True
def webapp_add_wsgi_middleware(app):
  from google.appengine.ext.appstats import recording
  app = recording.appstats_wsgi_middleware(app)
  return app
